///////////////////////////////////////////////////////////////////////////////
//
//  Authors:	Jeffrey Hanke (hanke@cs)
//		Jason Dang (jaydang@cs)
//		Chris Baker (crbaker@cs)
//
//  File:	Node.java	
//
//  Abstract:	Implements node object	
//
///////////////////////////////////////////////////////////////////////////////

public class Node
{

  Node next;
  Object element;

  public Node( Object element ) { this(element, null); } 

  public Node( Object element, Node next )
  {
    this.element = element;
    this.next = next;
  }
}
